# Interface HeaderRow

#### Hierarchy

- HeaderRow

#####
Index

### Properties

alignment
className
freezable
hidable
label
renderer
resizable
sortable
style

## Properties

### alignment

alignment: HeaderRowAlignment

Specifies row header alignment.

### className

className: null | string

Specifies CSS class names to apply to row headers. See the Help documentation for more information.

### freezable

freezable: string

Allows freeze/unfreeze on rows.

### hidable

hidable: string

Allows hide/unhide on rows.

### label

label: HeaderRowLabel

Specifies attributes on the row header labels.

### renderer

renderer: null

A function that returns row header content. The function takes a context argument, provided by the datagrid. See the Help documentation for more information.

### resizable

resizable: HeaderRowResizable

Specifies resizing options on the row headers.

### sortable

sortable: null | string

Specifies whether sorting is enabled on the row headers. See the Help documentation for more information.

### style

style: null | string

Specifies inline style to add to the row headers. See the Help documentation for more information.

Generated using TypeDoc